TGTADM(8)

NAME
tgtadm - Linux SCSI Target Administration Utility.

SYNOPSIS
tgtadm --lld [driver] --op [operation] --mode [mode] [OPTION]...

DESCRIPTION
tgtadm is used to monitor and modify everything about Linux SCSI target software: targets, volumes, etc.

OPTIONS
--lld [driver] --op new --mode target --tid=[id] --targetname [name]

add a new target with [id] and [name].

--lld [driver] --op delete --mode target --tid=[id]

delete specific target with [id]. The target must have no active I_T nexus.

--lld [driver] --op show --mode target

show all the targets.

--lld [driver] --op show --mode target --tid=[id]

show target parameters of a target with [id].

--lld [driver] --op new --mode=logicalunit --tid=[id] --lun=[lun] --backing-store [path]

add a new logical unit with [lun] to specific target with [id]. The logical unit is offered to the initiators. [path] must be block device files (including LVM and RAID devices) or regular files. lun0 is reserved for a special device automatically created.

--lld [driver] --op delete --mode=logicalunit --tid=[id] --lun=[lun]

delete specific logical unit with [lun] that the target with [id] has.

--lld [driver] --op bind --mode=target --tid=[id] --initiator-address=[address]

add the address to the access lists of the target with [id]. Initiators with the address can access to the target. 'ALL' is a special address to allow all initiators to access to a target.

--lld [driver] --op unbind --mode=target --tid=[id] --initiator-address=[address]

delete the address from the access lists of the target with [id].

--lld [driver] --op update --mode=target --tid=[id] --name=[parameter] --value=[value]

change the value of [parameter] of the target with [id] to [value].

--version

display version and exit

--help

display a list of available options and exits

REPORTING BUGS
Report bugs to <stgt-devel@lists.berlios.de>